exaile (3.4.5-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 01:34:19 -0700

exaile (3.4.4-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 18 Mar 2015 16:30:51 -0700

exaile (3.4.3-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on git because exaile now requires it for manpage 
      generation (via help2man).

 -- Vincent Cheng <vcheng@debian.org>  Mon, 15 Dec 2014 22:50:53 -0800

exaile (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 10 Nov 2014 00:21:43 -0800

exaile (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version from 3.9.5 to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Nov 2014 15:16:17 -0700

exaile (3.4.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop 20_use-logind-to-shutdown.patch, applied upstream.
    - Refresh remaining patches.
  * Update email address.
  * Update watch file.
  * Update Standards version from 3.9.4 to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 03 Sep 2014 23:05:55 -0700

exaile (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add debian/patches/20_use-logind-to-shutdown.patch: allow shutdown plugin
    to support both logind in addition to ConsoleKit. Thanks to Iain Lane.
  * Remove references to Shoutcast in package descriptions. (Closes: #721682)
  * (Re-)add lintian override for executable-not-elf-or-script.
  * Fix lintian warning vcs-field-not-canonical.
  * Remove deprecated DMUA flag in debian/control.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 26 Oct 2013 16:55:00 -0700

exaile (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove unused lintian overrides.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 15 Nov 2012 16:01:08 -0800

exaile (3.3.0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add lintian override for executable-not-elf-or-script.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 22 Sep 2012 16:05:32 -0700

exaile (3.3.0~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 14 Sep 2012 23:02:52 -0700

exaile (3.3.0~rc1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release candidate.
    - Fix crash when playlist contains ogg file rather after mp3 file.
      (Closes: #672574)
    - Fix segmentation fault while fetching cover art. (Closes: #625950)
    - Fix parser error when adding radio stream. (Closes: #649371)
    - Remove debian/patches/20_dash_icon.patch and debian/exaile.png;
      no longer needed.
    - Refreshing remaining patches.
  * Update X-Python-Version value in debian/control to >= 2.6.
  * Pass --fail-missing to dh_install to make sure that we install everything.
    - New plugins included in package: history, musicbrainzcovers, abrepeat,
      inhibitsuspend, mainmenubutton, bpm, osd, previewdevice,
      lastfmlove, wikipedia, grouptagger.
  * Update debian/watch file.
  * Set DMUA flag in debian/control, as per agreement with sponsor.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 10 Sep 2012 01:02:37 -0700

exaile (0.3.2.2-3) unstable; urgency=low

  * Add suggests to exaile on python-avahi for the DAAP client/server plugin.
    (Closes: #669896)
  * Add versioned dependency on exaile (= ${source:Version}) for each of the
    plugin packages.
  * Add versioned dependency to exaile on python-mutagen (>= 1.10).
  * Add build-dep on python-gobject (>= 2.18) to fix python ImportError when
    creating manpage during build.
  * Remove build-dep on python-gtk2.
  * Merge Build-Depends and Build-Depends-Indep fields; src:exaile only builds
    arch:all packages anyways, so there's no point separating the build-deps.
  * Add debian/README.source and include build instructions, and workarounds
    to avoid exaile FTBFS when built with pbuilder/cowbuilder/sbuild.
  * Update debhelper compatibility level from 8 to 9.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 03 May 2012 23:03:33 -0700

exaile (0.3.2.2-2) unstable; urgency=low

  * Drop libgtk2.0-dev, intltool, intltool-debian from build dependencies.
  * Split contextinfo, ipod, and moodbar plugins into separate binary
    packages (and add debian/NEWS file to mention this change).
  * Merge Exaile's list of dependencies in Debian and Ubuntu:
    - Debian: remove dependency on python-sqlite2, libgstreamer0.10-0,
      gstreamer0.10-plugins-base, gstreamer0.10-alsa | gstreamer0.10-esd,
      python-glade2, python-pyvorbis, python-feedparser; remove recommends on
      python-gamin, python-gtkmozembed.
    - Ubuntu: remove depends/recommends on hal, python-sexy; remove suggests
      on gstreamer0.10-plugins-{ugly,bad}-multiverse.
  * Remove debian/patches/makefile_prefix.patch; use an override target in
    debian/rules instead to change prefix path.
  * Backport 128x128 icon from upstream to avoid displaying a pixelated icon
    in Unity's Dash.
    - Import debian/patches/20_dash_icon.patch from Ubuntu to not install
      48x48 icon.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Dec 2011 21:11:06 -0800

exaile (0.3.2.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Add recommends of python-eggtrayicon (for the Drop Trayicon plugin) and
    python-beautifulsoup (for the Lyrics Wiki plugin).
  * Transition from dh_pysupport to dh_python2; remove build dependency
    on python-support.
  * Remove build dependency on libjs-prototype; the httpserver plugin was
    removed in the Exaile 0.3 series.
  * Add debian/patches/debian_defaults.patch; patch imported from Ubuntu for
    saner default options in Exaile.
  * Remove unneeded debian/pyversions.
  * Add license for plugins/* in debian/copyright.
  * Add Vcs-* fields to debian/control.
  * Update debhelper compatiblity level from 7 to 8.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 18 Jul 2011 23:38:35 -0700

exaile (0.3.2.1-2) unstable; urgency=low

  * Adopting package; change maintainer field in debian/control to:
    Vincent Cheng <Vincentc1208@gmail.com>. (Closes: #624358)
  * Update debhelper compatiblity level from 5 to 7.
  * Update Standards version from 3.8.1 to 3.9.2, no changes required.
  * Update debian/copyright to conform to DEP-5.
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Add package help2man to build-depends.
  * Add manpage for /usr/bin/exaile.
  * Add debian/patches/makefile_prefix.patch to fix the PREFIX= paths in
    Exaile's makefiles (/usr/local -> /usr).
  * Remove unneeded technical terms from description. (Closes: #443085)
  * Remove recommends of python-eggtrayicon. (Closes: #560985)
  * Add recommends of gstreamer0.10-ffmpeg. (Closes: #596906)
  * Add recommends of python-pymtp. (Closes: #585107)
  * Bugs fixed upstream:
    - "Automatic library scan not working". (Closes: #436242)
    - "Exaile: use an http proxy". (Closes: #407503)
    - Fix Exaile's inability to sort with multiple options. (Closes: #444185)
    - Make cover art optional. (Closes: #444227)
    - "Exaile: bad settings.ini configuration file" - should be fixed with
      settings upgrade mechanism introduced in Exaile 0.3. (Closes: #439932)
    - "Cover art embedded in MP3 not displayed". (Closes: #444228)
    - Fix album cover fetching from Amazon. (Closes: #468942)
    - "Fails to use more than one GENRE tag". (Closes: #442941)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 06 May 2011 20:04:37 -0700

exaile (0.3.2.1-1) unstable; urgency=low

  * QA upload, orphaning the package. (See #624358)
  * New upstream release:
    - Fix startup crash (Closes: #622282)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Apr 2011 21:51:26 +0200

exaile (0.3.2.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
    - New upstream release (Closes: #576847).
    - Move to packaging format "3.0 (quilt)".
  * debian/control
    - (Build-Depends): Remove quilt.
  * debian/patches
    - Remove directory. No longer needed for current release.
  * debian/rules
    - Remove quilt dependency.
    - (install): Comment out lines not applicable any more.
  * debian/watch
    - Update regexp to point to launcpad.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Oct 2010 09:19:39 +0300

exaile (0.2.14+debian-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Depends on elementtree" (provided by python >= 2.5). Thanks to Luca
    Falavigna and Jakub Wilk (Closes: #562460)

 -- Jan Hauke Rahm <jhr@debian.org>  Mon, 11 Jan 2010 18:21:01 +0100

exaile (0.2.14+debian-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix the prototype issue. Last upload introduced total nonsense due
    to working on different packages at the same time. Sorry! Thanks to Ralf
    Treinen and Xavier Lüthi for discovering it! (Closes: #555244, #558219)

 -- Jan Hauke Rahm <jhr@debian.org>  Tue, 01 Dec 2009 10:17:01 +0100

exaile (0.2.14+debian-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "CVE-2007-2383 and CVE-2008-7720 prototypejs vulnerabilities"
    by removing the embedded copy and linking to libjs-prototype
    (Closes: #555244)

 -- Jan Hauke Rahm <jhr@debian.org>  Wed, 18 Nov 2009 12:42:46 +0100

exaile (0.2.14+debian-2) unstable; urgency=low

  * Rely on python to import feedparser (Closes: #525598).
    Many thanks to Obey Arthur Liu for his patch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 29 Apr 2009 10:02:04 +0200

exaile (0.2.14+debian-1) unstable; urgency=low

  * New upstream release (Closes: #442285).
  * Do not build on python-mmkeys anymore, depends on the standalone package.
    (Closes: #520380).
  * Remove obsolete hacks from debian/rules.
  * Update 000-Do_not_download_remote_plugins patch. 
  * Drop debian manpage, fixed upstream.
  * Packages is now arch: all.
  * Bump Standards-Version to 3.8.1.
  * Call dh_desktop.
  * Do not ship feedparser.py anymore, depends on the standalone package.
  * Replace python-gnome2-extras by python-eggtrayicon and python-gtkmozembed
    (Closes: #485326).
  * Fix grammer error in long description (Closes: #492535).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 19 Mar 2009 21:31:28 +0100

exaile (0.2.11.1+debian-2) unstable; urgency=low

  * Add quilt patch system.
  * Merge patch from Eric Evans to disable remote plugin download
    (Closes: #451303).
  * Bump Standards-Version to 3.8.0.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 17 Aug 2008 14:06:58 +0200

exaile (0.2.11.1+debian-1) unstable; urgency=low

  * New upstream release (Closes: #451549):
    - New desktop file (Closes: #444438),
    - Cover art can now be disabled (Closes: #444227).
  * Drop "432164" patch, fixed upstream.
  * Drop 01_fix_makefile_for_pysupport patch, new workaround added.
  * Bump Standards-Version to 3.7.3.
  * Move homepage to new dpkg standard field.
  * Update debian/menu to new policy.
  * Drop dpatch bdep, not used anymore.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 25 Feb 2008 22:52:14 +0100

exaile (0.2.10+debian-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch to substitute a hard-coded color depth with the current
    default color depth, (Closes: #432164).

 -- Eric Evans <eevans@debian.org>  Mon, 09 Jul 2007 16:14:07 -0500

exaile (0.2.10+debian-1) unstable; urgency=low

  * New upstream release
  * removed patch 02_fix_non-UTF-8_locales:
      included upstream
  * rules, patches/01_fix_makefile_for_pysupport.dpatch:
      adapted to new Makefile. Translations are now compiled by the Makefile,
      rather than beeing shipped with upstream tarball.
  * control:
      updated build-dependencies

 -- François Févotte <francois.fevotte@ensta.org>  Mon, 25 Jun 2007 19:46:08 +0200

exaile (0.2.9+debian-4) unstable; urgency=low

  * Build-depends on python-all-dev to avoid FTFBS due to python2.5 headers missing (Closes: #423552).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 13 May 2007 10:17:49 +0200

exaile (0.2.9+debian-3) unstable; urgency=low

  * patches/02_fix_non-UTF-8_locales.dpatch: (Closes: #418559)
      make glade aware of internationalization/localization

 -- François Févotte <francois.fevotte@ensta.org>  Tue, 24 Apr 2007 18:31:46 +0200

exaile (0.2.9+debian-2) unstable; urgency=low

  * debian/control: changed dependency on gstreamer (Closes: #417881)

 -- François Févotte <francois.fevotte@ensta.org>  Wed, 11 Apr 2007 22:17:44 +0200

exaile (0.2.9+debian-1) unstable; urgency=low

  * New upstream release
  * removed patches 03_no_tray_icon_by_default, 04_install_locales: 
      they have been included upstream
  * removed patch 02_fix_bugs_111_114:
      these bugs have been fixed upstream

 -- François Févotte <francois.fevotte@ensta.org>  Tue, 27 Mar 2007 22:25:58 +0200

exaile (0.2.8+debian-2) unstable; urgency=low

  * patches/04_install_locales.dpatch: (Closes: #411237)
      modify Makefile to install locales.

 -- François Févotte <francois.fevotte@ensta.org>  Sat,  3 Mar 2007 22:34:38 +0100

exaile (0.2.8+debian-1) unstable; urgency=low

  * New upstream release
  * watch: added mangling of the Debian version
  * removed patches/02_fix_bug_56.dpatch, patches/03_fix_bug_102.dpatch:
      these bugs are fixed upstream now
  * patches/02_fix_bugs_111_114.dpatch: fix upstream bugs #111 and #114,
      which caused the playcount and rating statistics to be empty
  * patches/03_no_tray_icon_by_default.dpatch: (Closes: #406791)
      do not use tray icon as a default behaviour
  * docs: install README.Debian-source in /usr/share/doc/exaile

 -- François Févotte <francois.fevotte@ensta.org>  Wed, 17 Jan 2007 22:46:52 +0100

exaile (0.2.7+debian-1) unstable; urgency=low

  * New upstream release
  * control: added python-notify recommendation
  * rules, strip_shebang: strip unneeded shebang lines in non-executable python
      files
  * README.Debian-source: give details about the source repackaging
  * patches/02_fix_bug_56.dpatch: fix upstream bug#56, which caused a crash at
      startup in some cases
  * patches/03_fix_bug_102.dpatch: fix upstream bug#102: manage playlist
      migration from 0.2.6 to 0.2.7

 -- François Févotte <francois.fevotte@ensta.org>  Fri,  5 Jan 2007 19:24:27 +0100

exaile (0.2.6+debian-2) unstable; urgency=low

  * Added python-elementtree dependency (Closes: #403315)

 -- François Févotte <francois.fevotte@ensta.org>  Sat,  2 Dec 2006 19:33:47 +0100

exaile (0.2.6+debian-1) unstable; urgency=low

  * Initial release (Closes: #392828).

 -- François Févotte <francois.fevotte@ensta.org>  Sun, 15 Oct 2006 20:48:34 +0200
